/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.pojos;


import com.tabajara.base.tables.interfaces.IEmpresa;

import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Empresa implements VertxPojo, IEmpresa {

    private static final long serialVersionUID = -1389152459;

    private Integer empid;
    private String  empnome;
    private String  empcnpj;
    private String  emplocal;

    public Empresa() {}

    public Empresa(Empresa value) {
        this.empid = value.empid;
        this.empnome = value.empnome;
        this.empcnpj = value.empcnpj;
        this.emplocal = value.emplocal;
    }

    public Empresa(
        Integer empid,
        String  empnome,
        String  empcnpj,
        String  emplocal
    ) {
        this.empid = empid;
        this.empnome = empnome;
        this.empcnpj = empcnpj;
        this.emplocal = emplocal;
    }

    @Override
    public Integer getEmpid() {
        return this.empid;
    }

    @Override
    public Empresa setEmpid(Integer empid) {
        this.empid = empid;
        return this;
    }

    @Override
    public String getEmpnome() {
        return this.empnome;
    }

    @Override
    public Empresa setEmpnome(String empnome) {
        this.empnome = empnome;
        return this;
    }

    @Override
    public String getEmpcnpj() {
        return this.empcnpj;
    }

    @Override
    public Empresa setEmpcnpj(String empcnpj) {
        this.empcnpj = empcnpj;
        return this;
    }

    @Override
    public String getEmplocal() {
        return this.emplocal;
    }

    @Override
    public Empresa setEmplocal(String emplocal) {
        this.emplocal = emplocal;
        return this;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("Empresa (");

        sb.append(empid);
        sb.append(", ").append(empnome);
        sb.append(", ").append(empcnpj);
        sb.append(", ").append(emplocal);

        sb.append(")");
        return sb.toString();
    }

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public void from(IEmpresa from) {
        setEmpid(from.getEmpid());
        setEmpnome(from.getEmpnome());
        setEmpcnpj(from.getEmpcnpj());
        setEmplocal(from.getEmplocal());
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public <E extends IEmpresa> E into(E into) {
        into.from(this);
        return into;
    }

    public Empresa(io.vertx.core.json.JsonObject json) {
        this();
        fromJson(json);
    }
}
